<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_ffffff_tlr20"
    android:orientation="vertical">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="25dp"
        android:text="Need to obtain storage permissions"
        android:textSize="18sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="18dp"
        android:text="To ensure proper functionality, please allow File Recovery to access all files on your device."
        android:textColor="#666666"
        android:textSize="16sp"
        tools:ignore="HardcodedText" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="20dp"
        android:src="@mipmap/quanxian"
        tools:ignore="ContentDescription" />

    <TextView
        android:id="@+id/tv_open"
        android:layout_width="315dp"
        android:layout_height="45dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="25dp"
        android:background="@drawable/bg_577dfd_10"
        android:gravity="center"
        android:text="Open Settings"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

</LinearLayout>